Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		gimp-plugin-userfilter
Version:	0.9.7
Release:	2
License:	GNU/GPL2
URL:		http://sourceforge.net/projects/gimpuserfilter/
Group:		Multimedia/Graphics
Summary:	Filter Factory support for gimp.
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libpng-devel
BuildRequires: libX11-devel
BuildRequires: libXrender-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: zlib-devel

%description
This plug-in will enable you to use filters generated with
Photoshop Filter Factory. These filters come in various
file formats: text (.txt, .ffl, .afs) and binary (.8bf).
There is a catch, however, in the fact that not all .8bf
files are Filter Factory filters and thus are not under-
stood by this plug-in.
You can also write your own Filter Factory style filters
with this plug-in and share them with users of the original
Filter Factory.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description	devel
Header files for developing applications using %{name}


%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_bindir/8bf2guf
%_bindir/afs2guf
%_bindir/ffl2guf
%_bindir/txt2guf
%_bindir/uf2c
%_libdir/gimp/2.0/plug-ins/userfilter
%_libdir/libuserfilter.a
%_locale
%_mandir
%_datadir/userfilter

%files devel
%defattr(-,root,root)
%_includedir/userfilter/checksum.h
%_includedir/userfilter/cos-tab.h
%_includedir/userfilter/guf.h
%_includedir/userfilter/pdb-name.h
%_includedir/userfilter/render.h
%_includedir/userfilter/tan-tab.h
%_includedir/userfilter/uf-pcode.h
%_includedir/userfilter/userfilter.h
%_libdir/libuserfilter.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Dec 02 2008 Christian Wasem <wasem@ccux-linux.de> 0.9.7-2
- corrected package group to Multimedia/Graphics
* Sat Nov 29 2008 Christian Wasem <wasem@ccux-linux.de> 0.9.7-1
- initial CCux package release
